Bug 103976 - FILEOPEN: DOCX: Spacing in table's header not imported
Summary: FILEOPEN: DOCX: Spacing in table's header not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2016-11-17 10:22 UTC by Xisco Faulí
Modified: 2017-03-12 16:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison (1.24 MB, application/pdf)
2016-11-17 10:26 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-17 10:22:05 UTC
Steps to reproduce:
1. Open attachment 92917 [details]

Observed behaviour: Table's header doesn't have spacing above and below the text

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-17 10:23:38 UTC
author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-10-17 07:59:38 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-10-17 08:19:41 (GMT)
commit	9e7eb63989ef1cf4b9a0e0404b84ef890db3d8e3 (patch)
tree	0f61377814c38bda7efc1bc04583aafc53db4fcb
parent	0591ee255aadee27e85a79db87a56b6882993faf (diff)

DOCX import: parse <w:spacing>'s w:before/afterLines attribute

Adding Cc: to Miklos Vajna
Comment 2 Xisco Faulí 2016-11-17 10:26:15 UTC
Created attachment 128809 [details]
comparison
Comment 3 Commit Notification 2017-01-31 10:12:28 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=353a45aa1b1a15047aa2a92c1383996070e87405

tdf#103976 DOCX import: disable incomplete w:before/afterLines style handling

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-02 20:12:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df18f96a3a30701286691bfeeacd34c3bba68ce0&h=libreoffice-5-3

tdf#103976 DOCX import: disable incomplete w:before/afterLines style handling

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 krishna [:kr1shna] 2017-03-11 03:13:52 UTC
verified.
Version: 5.4.0.0.alpha0+ / Build ID: febc116 / ls-4001 / android 5.1

Table's header now have spacing above and below the text similar to pdf attachment.
Comment 6 Xisco Faulí 2017-03-12 16:10:14 UTC
Moving to VERIFIED FIXED as per comment 7